from disnake.ext import commands
import disnake
class Setup(commands.Cog):
    typelist = ["liegelord","vm_tracker","diplomacy"]
    def  __init__(self,bot) -> None:
        self.bot = bot

    @commands.slash_command(description='Define an advert channel',default_member_permissions=disnake.Permissions(manage_guild=True))
    async def create_advert(self,
    inter:disnake.ApplicationCommandInteraction,
    advert_type:str = commands.Param(description='What type=',choices=typelist),
    target: disnake.abc.GuildChannel = commands.Param(description='Channel override, optional')):

